function p.get_mesh() return "bent_ammo_gun_3_large" end
function p.get_mesh2() return "gun_3_incr_time" end

function p.payload(level, bp)
    ga_srand(ga_block_seed_pos(level, bp))
    game_upgrades.laser_freeze_time()
    game_bent.remove_perm(level, bp)
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Laser Freeze Time"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end

function p.on_telekinesis(level, bp)
    p.payload(level, bp)
end
